ros-rolling-moveit-configs-utils (2.14.0-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 13 Jun 2025 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.13.2-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 16 Apr 2025 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.13.1-1noble) noble; urgency=high

  * Update ompl_defaults.yaml to not have an invalid AnytimePathShortening configuration (#3374 <https://github.com/ros-planning/moveit2/issues/3374>)
  * Contributors: Stephanie Eng

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 15 Apr 2025 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.13.0-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 15 Feb 2025 07:00:00 -0000

ros-rolling-moveit-configs-utils (2.12.0-1noble) noble; urgency=high

  * Added joint limits to rviz launch file. (#3091 <https://github.com/ros-planning/moveit2/issues/3091>)
  * Switch to get for Dict lookup to prevent KeyError (#3043 <https://github.com/ros-planning/moveit2/issues/3043>)
  * fix move_group_capabilities usage (#3018 <https://github.com/ros-planning/moveit2/issues/3018>)
  * Contributors: Brendan Burns, Matthew Elwin, Michael Ferguson

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 29 Nov 2024 07:00:00 -0000

ros-rolling-moveit-configs-utils (2.11.0-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 16 Sep 2024 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.10.0-1noble) noble; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Fix xacro args loading issue (#2684 <https://github.com/moveit/moveit2/issues/2684>)
    * Fixed xacro args loading issue
    * Formatting fixes with pre-commit action
  * Pass along move_group_capabilities parameters (#2587 <https://github.com/moveit/moveit2/issues/2587>)
    * Pass along move_group_capabilities parameters
    * fix lint check
    * Use move_group_capabilities as default launch argument
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Use different packages for launch and config packages in generate_demo_launch (#2647 <https://github.com/moveit/moveit2/issues/2647>)
  * Contributors: Alex Navarro, Forrest Rogers-Marcovitz, Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 13 Jun 2024 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.9.0-1noble) noble; urgency=high

  * Update ros2_control usage (#2620 <https://github.com/ros-planning/moveit2/issues/2620>)
    * Update ros2_control usage
    * Update xacro file
  * [Planning Pipeline Refactoring] #2 <https://github.com/ros-planning/moveit2/issues/2> Enable chaining planners (#2457 <https://github.com/ros-planning/moveit2/issues/2457>)
    * Enable chaining multiple planners
  * [Planning Pipeline Refactoring] #1 <https://github.com/ros-planning/moveit2/issues/1> Simplify Adapter - Planner chain (#2429 <https://github.com/ros-planning/moveit2/issues/2429>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Sebastian Jahr

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 09 Jan 2024 07:00:00 -0000

ros-rolling-moveit-configs-utils (2.8.0-1noble) noble; urgency=high

  * Add stomp default config to moveit_config_utils (#2238 <https://github.com/ros-planning/moveit2/issues/2238>)
  * Contributors: Sebastian Jahr

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 10 Sep 2023 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.7.4-1noble) noble; urgency=high

  * Parse xacro args from .setup_assistant config in MoveIt Configs Builder (#2172 <https://github.com/ros-planning/moveit2/issues/2172>)
    Co-authored-by: Jafar <mailto:jafar.uruc@gmail.com>
  * Update default planning configs to use AddTimeOptimalParameterization (#2167 <https://github.com/ros-planning/moveit2/issues/2167>)
  * Contributors: Anthony Baker

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 18 May 2023 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.7.3-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 24 Apr 2023 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.7.2-1noble) noble; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Use $DISPLAY rather than assuming :0 (#2049 <https://github.com/ros-planning/moveit2/issues/2049>)
    * Use $DISPLAY rather than assuming :
    * Double quotes
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Shobuj Paul, Stephanie Eng

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 18 Apr 2023 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.7.1-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 23 Mar 2023 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.7.0-1noble) noble; urgency=high

  * feat: adds compatibility to robot_description from topic instead of parameter (#1806 <https://github.com/ros-planning/moveit2/issues/1806>)
  * Add support for multiple MoveItConfigBuilder instaces (#1807 <https://github.com/ros-planning/moveit2/issues/1807>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Contributors: Christian Henkel, Marco Magri

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 29 Jan 2023 07:00:00 -0000

ros-rolling-moveit-configs-utils (2.6.0-1noble) noble; urgency=high

  * Do not add Pilz parameters to MoveIt Configs Utils if Pilz is not used (#1583 <https://github.com/ros-planning/moveit2/issues/1583>)
  * Use MoveItConfigsBuilder in Pilz test launch file (#1571 <https://github.com/ros-planning/moveit2/issues/1571>)
  * Only require Cartesian limits if Pilz is used (#1519 <https://github.com/ros-planning/moveit2/issues/1519>)
  * Typo fix (#1518 <https://github.com/ros-planning/moveit2/issues/1518>)
  * Contributors: Abishalini Sivaraman, Stephanie Eng

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 10 Nov 2022 07:00:00 -0000

ros-rolling-moveit-configs-utils (2.5.3-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 28 Jul 2022 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.5.2-1noble) noble; urgency=high

  * Rename cartesian_limits.yaml (#1422 <https://github.com/ros-planning/moveit2/issues/1422>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Merge pull request #1402 <https://github.com/ros-planning/moveit2/issues/1402> from Abishalini/pr-sync-a436a97
    Sync with MoveIt
  * Merge https://github.com/ros-planning/moveit/commit/a436a9771f7445c162cc3090c4c7c57bdb5bf194
  * load sensors_3d.yaml (#1387 <https://github.com/ros-planning/moveit2/issues/1387>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * [MSA] ros2_control Integration (#1299 <https://github.com/ros-planning/moveit2/issues/1299>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
    Co-authored-by: Jafar <mailto:jafar.uruc@gmail.com>
  * Fix moveit_configs_utils parameter ordering (#1315 <https://github.com/ros-planning/moveit2/issues/1315>)
  * Remove TrajOpt Default Parameters (#1332 <https://github.com/ros-planning/moveit2/issues/1332>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Decorate MoveItConfigs with dataclaass (#1308 <https://github.com/ros-planning/moveit2/issues/1308>)
  * moveit_config_utils: Change default rviz config file location (#1316 <https://github.com/ros-planning/moveit2/issues/1316>)
  * Contributors: Abishalini, AndyZe, David V. Lu!!, Jafar, Michael Ferguson, Tyler Weaver, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 18 Jul 2022 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.5.1-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 31 May 2022 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.5.0-1noble) noble; urgency=high

  * Add options to config for publishing description (#1265 <https://github.com/ros-planning/moveit2/issues/1265>)
  * Flexibility in moveit_configs_utils reading of .setup_assistant (#1264 <https://github.com/ros-planning/moveit2/issues/1264>)
  * Alternate Package Name Specification (#1244 <https://github.com/ros-planning/moveit2/issues/1244>)
  * Change condition for loading default OMPL config (#1222 <https://github.com/ros-planning/moveit2/issues/1222>)
  * Demo launch for moveit_configs_utils (#1189 <https://github.com/ros-planning/moveit2/issues/1189>)
    * Demo launch for moveit_configs_utils
    * Don't respawn rviz
  * move_group launch for moveit_configs_utils (#1131 <https://github.com/ros-planning/moveit2/issues/1131>)
  * Add launch file configurations for static tfs and spawning controllers (#1176 <https://github.com/ros-planning/moveit2/issues/1176>)
  * Fix Moveit Configs Utils Bug (#1174 <https://github.com/ros-planning/moveit2/issues/1174>)
  * New Launch Files using moveit_configs_utils (#1113 <https://github.com/ros-planning/moveit2/issues/1113>)
    * Add Package Path
    * Launch Utils
    * Some Basic Launch Files
    * Remove circular dependencies
  * [moveit_configs_utils] Minor fixes (#1103 <https://github.com/ros-planning/moveit2/issues/1103>)
  * Add moveit_configs_utils package to simplify loading paramters (#591 <https://github.com/ros-planning/moveit2/issues/591>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Contributors: David V. Lu!!, Jafar Abdi, Stephanie Eng, Tyler Weaver
  * Add options to config for publishing description (#1265 <https://github.com/ros-planning/moveit2/issues/1265>)
  * Flexibility in moveit_configs_utils reading of .setup_assistant (#1264 <https://github.com/ros-planning/moveit2/issues/1264>)
  * Alternate Package Name Specification (#1244 <https://github.com/ros-planning/moveit2/issues/1244>)
  * Change condition for loading default OMPL config (#1222 <https://github.com/ros-planning/moveit2/issues/1222>)
  * Demo launch for moveit_configs_utils (#1189 <https://github.com/ros-planning/moveit2/issues/1189>)
  * move_group launch for moveit_configs_utils (#1131 <https://github.com/ros-planning/moveit2/issues/1131>)
  * Add launch file configurations for static tfs and spawning controllers (#1176 <https://github.com/ros-planning/moveit2/issues/1176>)
  * Fix Moveit Configs Utils Bug (#1174 <https://github.com/ros-planning/moveit2/issues/1174>)
  * New Launch Files using moveit_configs_utils (#1113 <https://github.com/ros-planning/moveit2/issues/1113>)
  * Contributors: David V. Lu!!, Jafar Abdi, Stephanie Eng, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 26 May 2022 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.4.0-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-configs-utils (2.3.2-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-configs-utils (2.3.1-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-configs-utils (2.3.0-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 08 Oct 2021 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.2.1-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 12 Jul 2021 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.2.0-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 30 Jun 2021 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.1.4-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 31 May 2021 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.1.3-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 22 May 2021 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.1.2-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 22 Apr 2021 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.1.1-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 13 Apr 2021 06:00:00 -0000

ros-rolling-moveit-configs-utils (2.1.0-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 24 Nov 2020 07:00:00 -0000

ros-rolling-moveit-configs-utils (2.0.0-1noble) noble; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 13 May 2020 06:00:00 -0000


